<?php

return [
    // 模板引擎类型使用Yifang
    'type'          => 'Yifang',
    // 默认模板渲染规则 1 解析为小写+下划线 2 全部转换小写 3 保持操作方法
    'auto_rule'     => 1,
    // 模板目录名
    'view_dir_name' => 'view',
    // 模板后缀
    'view_suffix'   => 'html',
    //前台皮肤
    'skin'   => '',
    // 模板文件名分隔符
    'view_depr'     => DIRECTORY_SEPARATOR,
    // 模板引擎普通标签开始标记
    'tpl_begin'     => '{',
    // 模板引擎普通标签结束标记
    'tpl_end'       => '}',
    // 标签库标签开始标记
    'taglib_begin'  => '{',
    // 标签库标签结束标记
    'taglib_end'    => '}',
    'tpl_replace_string'    => [
        "__ADMIN_STATIC__"=>"/static/admin",
        "__INDEX_STATIC__"=>"/static/index/skin",
        "__INSTALL_STATIC__"=>"/static/plugins/yifang_install",
        "__PLUGINS_STATIC__"=>"/static/plugins",
    ],
];



