<?php

namespace app\utils\db;

use yifang\db\Query;

class Custom_query extends Query
{
    /**
     * 批量写入
     * @param array $dataSet
     * @param int $limit
     */
    public function insertBatch(array $dataSet = [], $limit = 0){
        return $this->insertAll($dataSet,$limit);
    }

    /**
     * 分页查询
     */
    public function paginate($listRows = null, $simple = false){
        $paginate=parent::paginate($listRows, $simple);
        return $paginate->data();
    }

    /**
     * 是否开启预处理
     */
    public function prepare($prepare){
        return $this;
    }

    /**
     * 根据数字类型字段进行分页查询（大数据）
     */
    public function paginateX($listRows = null, $key = null, $sort = null){
        $paginate=parent::paginateX($listRows, $key, $sort);
        return $paginate->data();
    }

    /**
     * 查询数据
     */
    public function select($data= null)
    {
        $result=parent::select($data);
        if(!is_array($result)){
            $result=$result->toArray();
        }
        return $result;
    }
}
