<?php

namespace plugins\yifang_backend_account\service\admin;

use plugins\yifang_backend_account\db\admin\D_rbac_role;

class S_rbac_role
{
    public $d_rbac_role;

    public function __construct()
    {
        $this->d_rbac_role = new D_rbac_role();
    }

    /**
     * 获取数据详情
     * @param string $paramObj
     * @return array
     */
    public function infoByName($paramObj=""){
        return $this->d_rbac_role->infoByName($paramObj);
    }

    /**
     * 获取数据
     * @param string $paramObj
     * @return array
     */
    public function getDataById($paramObj=""){
        return $this->d_rbac_role->getDataById($paramObj);
    }

    /**
     * 获取数据
     * @param string $paramObj
     * @return array
     */
    public function getData($paramObj=""){
        return $this->d_rbac_role->getData($paramObj);
    }

    /**
     * 获取子级数据
     * @param string $paramObj
     * @return array
     */
    public function getChildData($paramObj=""){
        return $this->d_rbac_role->getChildData($paramObj);
    }

    /**
     * 获取父级数据
     * @param string $paramObj
     * @return array
     */
    public function getParentData($paramObj=""){
        return $this->d_rbac_role->getParentData($paramObj);
    }

    /**
     * 供选择的数据
     * @param string $paramObj
     * @return array
     */
    public function selectData($paramObj=""){
        return $this->d_rbac_role->selectData($paramObj);
    }

    /**
     * 创建数据
     * @param string $paramObj
     * @return array
     */
    public function store($paramObj=""){
        return $this->d_rbac_role->store($paramObj);
    }

    /**
     * 更新数据
     * @param string $paramObj
     * @return array
     */
    public function update($paramObj=""){
        return $this->d_rbac_role->update($paramObj);
    }

    /**
     * 获取数据详情
     * @param string $paramObj
     * @return array
     */
    public function info($paramObj=""){
        return $this->d_rbac_role->info($paramObj);
    }

    /**
     * 删除数据
     * @param string $paramObj
     * @return array
     */
    public function delete($paramObj=""){
        return $this->d_rbac_role->delete($paramObj);
    }

    /**
     * 分页列表数据
     * @param string $paramObj
     * @return array
     */
    public function listData($paramObj=""){
        return $this->d_rbac_role->listData($paramObj);
    }

    public function __call($name,$arguments)
    {
        return recordLogMsgLevelTwo(app("errorLevel")::E_WARNING,app("errorCode")::UNDEFINED_METHOD,lang("sys.noMethodDefined"),$name,$arguments);
    }
}