<?php

namespace app\service\admin;

use app\db\admin\D_adminFunc;


class S_adminFunc
{
    public $D_adminFunc;

    public function __construct()
    {
        $this->D_adminFunc = new D_adminFunc();
    }

    /**
     * 获取数据
     * @param string $paramObj
     * @return array
     */
    public function getData($paramObj=""){
        return $this->D_adminFunc->getData($paramObj);
    }

    /**
     * 创建数据
     * @param string $paramObj
     * @return array
     */
    public function store($paramObj=""){
        return $this->D_adminFunc->store($paramObj);
    }

    /**
     * 获取数据详情
     * @param string $paramObj
     * @return array
     */
    public function info($paramObj=""){
        return $this->D_adminFunc->info($paramObj);
    }

    /**
     * 记录数据
     * @param string $paramObj
     * @return array
     */
    public function record($paramObj=""){
        return $this->D_adminFunc->record($paramObj);
    }

    /**
     * 更新数据
     * @param string $paramObj
     * @return array
     */
    public function update($paramObj=""){
        return $this->D_adminFunc->update($paramObj);
    }

    /**
     * 更新数据 for 模块管理
     * @param string $paramObj
     * @return array
     */
    public function updateForModule($paramObj=""){
        return $this->D_adminFunc->updateForModule($paramObj);
    }

    /**
     * 更新方法名
     * @param string $paramObj
     * @return array
     */
    public function updateForAction($paramObj=""){
        return $this->D_adminFunc->updateForAction($paramObj);
    }

    /**
     * 删除数据
     * @param string $paramObj
     * @return array
     */
    public function delete($paramObj=""){
        return $this->D_adminFunc->delete($paramObj);
    }

    /**
     * 删除数据
     * @param string $paramObj
     * @return array
     */
    public function deleteByMenuId($paramObj=""){
        return $this->D_adminFunc->deleteByMenuId($paramObj);
    }

    public function __call($name,$arguments)
    {
        return recordLogMsgLevelTwo(app("errorLevel")::E_WARNING,app("errorCode")::UNDEFINED_METHOD,lang("sys.noMethodDefined"),$name,$arguments);
    }

    /**
     * 分页列表数据
     * @param string $paramObj
     * @return array
     */
    public function listData($paramObj=""){
        return $this->D_adminFunc->listData($paramObj);
    }

    /**
     * 获取全部信息
     * @param string $paramObj
     * @return array
     */
    public function getAll($paramObj=""){
        return $this->D_adminFunc->getAll($paramObj);
    }
    /**
     * 功能ids获取菜单ids
     * @param string $paramObj
     * @return array
     */
    public function infos($paramObj=""){
        return $this->D_adminFunc->infos($paramObj);
    }
    /**
     * Plugins获取功能信息数组
     * @param string $paramObj
     * @return array
     */
    public function infoPlugins($paramObj=""){
        return $this->D_adminFunc->infoPlugins($paramObj);
    }
    /**
     * moduleAction获取信息
     * @param string $paramObj
     * @return array
     */
    public function infoModuleAction($paramObj=""){
        return $this->D_adminFunc->infoModuleAction($paramObj);
    }
    public function infoMAO($paramObj=""){
        return $this->D_adminFunc->infoMAO($paramObj);
    }
    public function deleteAll($paramObj=""){
        return $this->D_adminFunc->deleteAll($paramObj);
    }
    public function deletePlugins($paramObj=""){
        if(checkPluginLoad("yifang_backend_account")){
            return app("YifangBackendAccount_S_Admin_rbacNode")->deleteByPlugins($paramObj);
        }else{
            return $this->D_adminFunc->deletePlugins($paramObj);
        }
    }
}