<?php

//自定义常量
define('IN_YiFang', true);
define('IN_ADMIN', defined('YIFANG_ADMIN') ? true : false);
define('YIFANG_CHARSET', config('app.charset'));
define('YIFANG_URL', config('app.url'));
define('YIFANG_KEY', config('app.authkey'));

define('YIFANG_WIN', strpos(strtoupper(PHP_OS), 'WIN') !== false ? true: false);
define('YIFANG_BOT', is_robot());
define('YIFANG_TOUCH', is_touch());

define('YIFANG_CACHE', config('cache.dir')? config('cache.dir'): YIFANG_ROOT.'/runtime/cache');
define('YIFANG_CACHE_DRIVER', config("cache.driver")? config("cache.driver"): 'file');
define('YIFANG_FILE_CHMOD', (config('cache.file_mod') && !YIFANG_WIN)? config('cache.file_mod'): 0);

define('YIFANG_DATABASE_DRIVER', config("database.driver")? config("database.driver"): 'mysqli');
define('YIFANG_DATABASE_CONNECT', config("database.connect")? config("database.connect"): 'default');

define('YIFANG_TIME', time() + config('app.timediff'));

define('YIFANG_SESSION_DOMAIN', config('session.domain'));
define('YIFANG_SESSION_NAME', config('session.name'));
define('YIFANG_SESSION_LIFETIME', config('session.lifetime'));
define('YIFANG_SESSION_AUTO_START', config('session.auto_start'));
define('YIFANG_SESSION_COOKIE_SECURE', config('session.cookie_secure'));
define('YIFANG_SESSION_COOKIE_HTTPONLY', config('session.cookie_httponly'));
define('YIFANG_SESSION_DRIVER', config('session.driver')? config('session.driver'): 'file');
define('YIFANG_SESSION_DIR', config('session.savePath')? config('session.savePath'): YIFANG_ROOT.'/runtime/session');

define('YIFANG_TEMPLATE', YIFANG_ROOT."/app/view");
define('YIFANG_CORE_TEMPLATE', YIFANG_ROOT."/yifang/view");
define('YIFANG_PUBLIC', YIFANG_ROOT."/public");


